Skip to Content
HallolaraDocs
Public APIGroups

Update a group

PATCH
/groups/{group_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Hallolara dashboard (Settings → API Keys).

Path Parameters

group_id*string
Match^[a-f0-9]{24}$

Request Body

application/json
  1. body
Properties1 <= properties
name?string

Trimmed of leading/trailing whitespace before storage.

Length1 <= length <= 200
description?string
Lengthlength <= 500

Response Body

Updated group.

application/json
  1. response
data?
Example Request
curl -X PATCH 'https://api.hallolara.ai/api/v1/groups/65f8fa6f1a9d8e0012ab34cd' \  -H 'Content-Type: application/json' \  -d '{  "name": "Enterprise Customers"}'
Example Response
{  "data": {    "id": "string",    "type": "contacts",    "name": "string",    "description": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}